<%@ Page Language="C#" %>
<%@ Import Namespace = "CommunityServer.Components" %>
<script runat = "server" language="C#">

    void Page_Load(object sender, EventArgs e)
    {
         CSContext csContext = CSContext.Current;
         int postid = csContext.PostID;
         string url = null;
         if(postid > 0)
            url = Globals.GetSiteUrls().Post(postid);
         else
            url = Globals.GetSiteUrls().ForumsHome;
            
       string fullpath = Globals.FullPath(url);
            
       Context.Response.AddHeader("Location",fullpath);
       Context.Response.StatusCode = 301;
       Response.End();
         
    }

</script>